
#include "FreeRTOS.h"
#include "task.h"

#include "gpio.h"
#include <util/delay.h>

/**
 \brief  Определения для светодиодов.
 */
#define  LED0    PORTF, 0, H
#define  LED1    PORTF, 1, H
#define  LED2    PORTF, 2, H
#define  LED3    PORTF, 3, H

void vLed0_blink( void *pvParametrs ) {

	uint16_t i;
	while(1)
	{
        tg(LED0);
        i = 500;
        while(i--) _delay_ms(10);
    }
}

int main()
{
	//! Инициализация портов для светодиодов.
	DDRF |= (1 << DDF0 | 1 << DDF1 | 1 << DDF2 | 1 << DDF3);
	PORTF = 0;
	xTaskCreate( vLed0_blink, 					//!< Указатель на исполняемую функцию.
				 (char *) "LED0", 				//!< Имя задачи, необходимое для отладки FreeRTOS.
				 configMINIMAL_STACK_SIZE,		//!< Размер стека задачи.
				 NULL, 							//!< Передаваемый параметр.
				 2,  							//!< Приоритет задачи.
				 NULL );  						//!< Дескриптор задачи.

//	xTaskCreate(vLed1_blink, (char *) "LED1", configMINIMAL_STACK_SIZE, NULL, 1, NULL);
	
	vTaskStartScheduler();						//!< Запуск планировщика задач.
	return 0;
}
